INTERFACE
SUBROUTINE PREPACKA(KDOM,PREAL,CDPREF,KLEV,CDSUFF,KFLDS,KDIMG,KMASK,LDCOSP,&
 & KGRIB,KBITS,CDLEC,KNOMA,KLONGA,CDNOMA,KSTART,KLEN,KLENPACK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KDOM
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDS
INTEGER(KIND=JPIM),INTENT(IN) :: KDIMG
REAL(KIND=JPRB) ,INTENT(INOUT) :: PREAL(KDIMG,KFLDS)
CHARACTER(LEN=*) ,INTENT(IN) :: CDPREF(KFLDS)
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV(KFLDS)
CHARACTER(LEN=*) ,INTENT(IN) :: CDSUFF(KFLDS)
INTEGER(KIND=JPIM),INTENT(IN) :: KMASK(KFLDS,KDOM)
LOGICAL ,INTENT(IN) :: LDCOSP
INTEGER(KIND=JPIM),INTENT(IN) :: KGRIB
INTEGER(KIND=JPIM),INTENT(IN) :: KBITS(KFLDS)
CHARACTER(LEN=*) ,INTENT(IN) :: CDLEC(KDOM)
INTEGER(KIND=JPIM),INTENT(OUT) :: KNOMA(KFLDS,KDOM)
INTEGER(KIND=JPIM),INTENT(OUT) :: KLONGA(KFLDS,KDOM)
CHARACTER(LEN=*) ,INTENT(OUT) :: CDNOMA(KFLDS,KDOM)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KSTART(KDOM)
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN(KDOM)
INTEGER(KIND=JPIM),INTENT(IN) :: KLENPACK(KDOM)
END SUBROUTINE PREPACKA
END INTERFACE
